> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Testar Conexão

> Valida se as credenciais armazenadas na conexão ainda são válidas.

Este endpoint costuma efetuar uma rápida requisição na infraestrutura do marketplace para testar os tokens (por exemplo, solicitando os perfis ou uma listagem superficial de produtos).

### Path

<ParamField path="provider" type="string" required>
  Código do marketplace (ex: `meli`).
</ParamField>

<ParamField path="connectionId" type="string" required>
  UUID da Conexão.
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "products": [
      {
        "id": "MLB123456789",
        "title": "Celular Smartphone",
        "price": 1500
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /integrations/{provider}/{connectionId}/test
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /integrations/{provider}/{connectionId}/test:
    get:
      tags:
        - Integrations
      operationId: IntegrationsController_testConnection
      parameters:
        - name: provider
          required: true
          in: path
          schema:
            type: string
        - name: connectionId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''

````